Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3
Interface DOMErrorHandler

public interface DOMErrorHandler

DOM Level 3 WD Experimental: The DOM Level 3 specification is at the stage of Working Draft, which represents work in progress and thus may be updated, replaced, or obsoleted by other documents at any time.

`DOMErrorHandler` is a callback interface that the DOM implementation can call when reporting errors that happens while processing XML data, or when doing some other processing (e.g. validating a document).

The application that is using the DOM implementation is expected to implement this interface.How does one register an error handler in the core? Passed as an argument to super-duper-normalize or registered on the DOMImplementation?Document interface has an attribute errorHandler.

See also the Document Object Model (DOM) Level 3 Core Specification.

Method Summary
`boolean` | `handleError(DOMError error)` This method is called on the error handler when an error occures.

Method Detail

### handleError

    public boolean handleError(DOMError error)

  This method is called on the error handler when an error occures.
  Parameters:
    `error` - The error object that describes the error, this object may be reused by the DOM implementation across multiple calls to the handleEvent method.
  Returns:
    If the handleError method returns `true` the DOM implementation should continue as if the error didn't happen when possible, if the method returns `false` then the DOM implementation should stop the current processing when possible.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.